# DataExchange
TKXSBase
IFSelect

# IFSelect_SelectSignature Class Reference

A SelectSignature sorts the Entities on a Signature Matching.
The signature to match is given at creation time. Also, the
required match is given at creation time : exact (IsEqual) or
contains (the Type's Name must contain the criterium Text)
Remark that no more interpretation is done, it is an
alpha-numeric signature : for instance, DynamicType is matched
as such, super-types are not considered
Also, numeric (integer) comparisons are supported : an item
can be <val ou <=val or >val or >=val , val being an Integer
A SelectSignature may also be created from a SignCounter,
which then just gives its LastValue as SignatureValue
.

`#include <IFSelect_SelectSignature.hxx>`

Inheritance diagram for IFSelect_SelectSignature:

[legend]

## Public Member Functions

Standard_EXPORT | IFSelect_SelectSignature (const Handle(IFSelect_Signature)&matcher, const Standard_CString signtext, const Standard_Boolean exact=Standard_True)
| Creates a SelectSignature with its Signature and its Text to Match. <exact> if True requires exact match, if False requires <signtext> to be contained in the Signature of the entity (default is "exact") .
Standard_EXPORT | IFSelect_SelectSignature (const Handle(IFSelect_Signature)&matcher, const TCollection_AsciiString &signtext, const Standard_Boolean exact=Standard_True)
| As above with an AsciiString .
Standard_EXPORT | IFSelect_SelectSignature (const Handle(IFSelect_SignCounter)&matcher, const Standard_CString signtext, const Standard_Boolean exact=Standard_True)
| Creates a SelectSignature with a Counter, more precisely a SelectSignature. Which is used here to just give a Signature Value (by SignOnly Mode) Matching is the default provided by the class Signature .
Standard_EXPORT Handle_IFSelect_Signature | Signature () const
| Returns the used Signature, then it is possible to access it, modify it as required. Can be null, hence see Counter .
Standard_EXPORT Handle_IFSelect_SignCounter | Counter () const
| Returns the used SignCounter. Can be used as alternative for Signature .
virtual Standard_EXPORT Standard_Boolean | SortInGraph (const Standard_Integer rank, const Handle(Standard_Transient)&ent, const Interface_Graph &G) const
| Returns True for an Entity (model->Value(num)) of which the signature matches the text given as creation time May also work with a Counter from the Graph .
Standard_EXPORT Standard_Boolean | Sort (const Standard_Integer rank, const Handle(Standard_Transient)&ent, const Handle(Interface_InterfaceModel)&model) const
| Not called, defined only to remove a deferred method here .
Standard_EXPORT const TCollection_AsciiString & | SignatureText () const
| Returns Text used to Sort Entity on its Signature or SignCounter .
Standard_EXPORT Standard_Boolean | IsExact () const
| Returns True if match must be exact .
Standard_EXPORT TCollection_AsciiString | ExtractLabel () const
| Returns a text defining the criterium. (it refers to the text and exact flag to be matched, and is qualified by the Name provided by the Signature) .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_IFSelect_Signature | thematcher
Handle_IFSelect_SignCounter | thecounter
TCollection_AsciiString | thesigntext
Standard_Integer | theexact
TColStd_SequenceOfAsciiString | thesignlist
TColStd_SequenceOfInteger | thesignmode

## Constructor & Destructor Documentation

Standard_EXPORT IFSelect_SelectSignature::IFSelect_SelectSignature | ( | const Handle(IFSelect_Signature)& | matcher,
|  | const Standard_CString | signtext,
|  | const Standard_Boolean | exact = `Standard_True`
| ) |

Standard_EXPORT IFSelect_SelectSignature::IFSelect_SelectSignature | ( | const Handle(IFSelect_Signature)& | matcher,
|  | const TCollection_AsciiString & | signtext,
|  | const Standard_Boolean | exact = `Standard_True`
| ) |

Standard_EXPORT IFSelect_SelectSignature::IFSelect_SelectSignature | ( | const Handle(IFSelect_SignCounter)& | matcher,
|  | const Standard_CString | signtext,
|  | const Standard_Boolean | exact = `Standard_True`
| ) |

## Member Function Documentation

Standard_EXPORT Handle_IFSelect_SignCounter IFSelect_SelectSignature::Counter | ( |  | ) | const

Standard_EXPORT TCollection_AsciiString IFSelect_SelectSignature::ExtractLabel | ( |  | ) | const`[virtual]`

| Implements IFSelect_SelectExtract.

Standard_EXPORT const IFSelect_SelectSignature::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from IFSelect_SelectExtract.

Standard_EXPORT Standard_Boolean IFSelect_SelectSignature::IsExact | ( |  | ) | const

Standard_EXPORT Handle_IFSelect_Signature IFSelect_SelectSignature::Signature | ( |  | ) | const

Standard_EXPORT const TCollection_AsciiString& IFSelect_SelectSignature::SignatureText | ( |  | ) | const

Standard_EXPORT Standard_Boolean IFSelect_SelectSignature::Sort | ( | const Standard_Integer | rank,
|  | const Handle(Standard_Transient)& | ent,
|  | const Handle(Interface_InterfaceModel)& | model
| ) | const`[virtual]`

| Implements IFSelect_SelectExtract.

virtual Standard_EXPORT Standard_Boolean IFSelect_SelectSignature::SortInGraph | ( | const Standard_Integer | rank,
|  | const Handle(Standard_Transient)& | ent,
|  | const Interface_Graph & | G
| ) | const`[virtual]`

| Reimplemented from IFSelect_SelectExtract.

## Field Documentation

Handle_IFSelect_SignCounter IFSelect_SelectSignature::thecounter `[private]`

Standard_Integer IFSelect_SelectSignature::theexact `[private]`

Handle_IFSelect_Signature IFSelect_SelectSignature::thematcher `[private]`

TColStd_SequenceOfAsciiString IFSelect_SelectSignature::thesignlist `[private]`

TColStd_SequenceOfInteger IFSelect_SelectSignature::thesignmode `[private]`

TCollection_AsciiString IFSelect_SelectSignature::thesigntext `[private]`

The documentation for this class was generated from the following file:

- IFSelect_SelectSignature.hxx